Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.build
Enum BuildText.Type

    java.lang.Object
      java.lang.Enum<BuildText.Type>
          org.basex.build.BuildText.Type

All Implemented Interfaces:
  Serializable, Comparable<BuildText.Type>

Enclosing interface:
  BuildText

    public static enum BuildText.Type

extends Enum<BuildText.Type>

Token types.

Enum Constant Summary
`ATTNAME` AttrName.
`ATTVALUE` AttrValue.
`CLOSE_R_BR` Closing End Bracket.
`COMMENT` Comment.
`DTD` DocType.
`EOF` Quoted Text.
`EQ` Equal Sign.
`L_BR` Opening Bracket.
`L_BR_CLOSE` Empty Bracket.
`PI` PI.
`QUOTE` Quoted Text.
`R_BR` Closing Bracket.
`TAGNAME` TagName.
`TEXT` Text Node.
`WS` Whitespace.

Field Summary
`String` | `string` String representation of token type.

Method Summary
`static BuildText.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BuildText.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TEXT

    public static final BuildText.Type TEXT

  Text Node.

### COMMENT

    public static final BuildText.Type COMMENT

  Comment.

### DTD

    public static final BuildText.Type DTD

  DocType.

### PI

    public static final BuildText.Type PI

  PI.

### L_BR

    public static final BuildText.Type L_BR

  Opening Bracket.

### TAGNAME

    public static final BuildText.Type TAGNAME

  TagName.

### ATTNAME

    public static final BuildText.Type ATTNAME

  AttrName.

### R_BR

    public static final BuildText.Type R_BR

  Closing Bracket.

### WS

    public static final BuildText.Type WS

  Whitespace.

### ATTVALUE

    public static final BuildText.Type ATTVALUE

  AttrValue.

### L_BR_CLOSE

    public static final BuildText.Type L_BR_CLOSE

  Empty Bracket.

### CLOSE_R_BR

    public static final BuildText.Type CLOSE_R_BR

  Closing End Bracket.

### EQ

    public static final BuildText.Type EQ

  Equal Sign.

### EOF

    public static final BuildText.Type EOF

  Quoted Text.

### QUOTE

    public static final BuildText.Type QUOTE

  Quoted Text.

Field Detail

### string

    public String string

  String representation of token type.

Method Detail

### values

    public static BuildText.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BuildText.Type c : BuildText.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BuildText.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD